%define version 0.6.0
%define release 2mdk

Summary:	A News Aggregator For RSS/RDF Feeds For GTK/GNOME
Name:		liferea
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/News
URL:		http://liferea.sf.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		ftp://osdn.dl.sourceforge.net/pub/sourceforge/l/li/%{name}/%{name}-%{version}.tar.bz2
#Patch1:	%{name}-0.4.7d-mozilla-version.patch.bz2
Patch2:		%{name}-0.4.7d-mozilla-include.patch.bz2
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtkhtml2-devel
BuildRequires:	mozilla-devel
BuildRequires:	ImageMagick

%description
Liferea (abbreviation of Linux Feed Reader) is a news aggregator for
RSS/RDF feeds which also supports CDF channels, Atom/Echo/PIE feeds
and OCS or OPML directories. It is a simple FeedReader clone for Unix.

%prep
%setup -q
#%patch1 -p1 -b .mozilla
%patch2 -p1 -b .include

aclocal-1.4
autoconf
automake-1.4

%build
%configure2_5x --with-gconf-source=xml::%{buildroot}%_sysconfdir/gconf/gconf.xml.defaults \
	--disable-schemas-install
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}/%{_sysconfdir}/gconf/gconf.xml.defaults/schemas/%gconf.xml
rm -f %{buildroot}/%{_sysconfdir}/gconf/gconf.xml.defaults/apps/%gconf.xml
rm -f %{buildroot}/%{_sysconfdir}/gconf/gconf.xml.defaults/schemas/apps/liferea/%gconf.xml
rm -f %{buildroot}/%{_sysconfdir}/gconf/gconf.xml.defaults/schemas/apps/%gconf.xml
rm -f %{buildroot}/%{_sysconfdir}/gconf/gconf.xml.defaults/apps/liferea/%gconf.xml

# menu entry
%__mkdir_p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/liferea" \
 icon="%{name}.png" \
 longtitle="News aggregator simulating FeedReader" \
 needs="x11" \
 section="Internet/News" \
 title="Liferea" \
 startup_notify="true"
_EOF_

# icons
%__mkdir_p %{buildroot}%{_iconsdir} \
	   %{buildroot}%{_liconsdir}
%__install -D -m 644       pixmaps/liferea.png %{buildroot}%{_miconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/liferea.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 48x48 pixmaps/liferea.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null

%postun
%clean_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/*.la
%{_datadir}/pixmaps/*.png
%_mandir/man1/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon Sep 20 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.0-2mdk
- don't package *.la files
- install gconf schemas at install time instead build time

* Wed Sep 15 2004 Jerome Soyer <saispo@mandrake.org> 0.6.0-1mdk
- New release
- Remove patch1

* Wed Sep 01 2004 Jerome Soyer <saispo@mandrake.org> 0.5.3c-2mdk
- remove zero-length file

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3c-1mdk
- 0.5.3c

* Tue Aug 31 2004 Jerome Soyer <saispo@mandrake.org> 0.5.3c-1mdk
- New release

* Sat Aug 21 2004 Jerome Soyer <saispo@mandrake.org> 0.5.3b-1mdk
- 0.5.3b
- fix some bugs

* Tue Aug 17 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.3-1mdk
- 0.5.3
- added default xml configs and schemas
- added P10 which fixed missing comma in array of months

* Tue Aug 3 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2c-1mdk
- 0.5.2c
- removed P3

* Tue Jul 27 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2-3mdk
- fixed slovak translation

* Mon Jul 26 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2-2mdk
- added P3 to fix problem with compressed favicon

* Fri Jul 23 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2-1mdk
- 0.5.2

* Thu Jul 1 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.1-1mdk
- 0.5.1
- drop external slovak translation, merged into project

* Sun Jun 20 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.0-1mdk
- new version
- drop P3
- added slovak translation
- package man page too

* Sat Jun 19 2004 Abel Cheung <deaddog@deaddog.org> 0.4.9-2mdk
- Rebuild with new gcc

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 0.4.9-1mdk
- New version
- Drop P0 (upstream)
- Regen P3

* Sat May 08 2004 Abel Cheung <deaddog@deaddog.org> 0.4.8-1mdk
- New version
- Regenerate P0
- Patch3: Fix bad translations

* Sun May 02 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7d-1mdk
- New version
- Update patch1 to autodetect mozilla version
- Patch2: Add missing mozilla header dir to search for (ugly)

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7c-2mdk
- Fix patch1 to set MOZILLA_FIVE_HOME correctly (thanks to
  Jorge Enrique Gomez G.  jegomez<AT>agofer<DOT>com<DOT>co)

* Thu Apr 22 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7c-1mdk
- New version
- Patch0: build modules without version
- Patch1: set mozilla home correctly

* Sat Mar 13 2004 Abel Cheung <deaddog@deaddog.org> 0.4.6e-1mdk
- New version

* Tue Mar 02 2004 Abel Cheung <deaddog@deaddog.org> 0.4.6c-1mdk
- New version

* Wed Jan 21 2004 Abel Cheung <deaddog@deaddog.org> 0.4.6b-1mdk
- First Mandrake package
